-- phpMyAdmin SQL Dump
-- version 4.2.8
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Feb 23, 2017 at 11:30 PM
-- Server version: 5.6.24
-- PHP Version: 5.6.29

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `auctions`
--

-- --------------------------------------------------------

--
-- Table structure for table `attachments`
--

CREATE TABLE IF NOT EXISTS `attachments` (
`attachID` int(10) unsigned NOT NULL,
  `listID` int(10) NOT NULL,
  `att_file` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `bids`
--

CREATE TABLE IF NOT EXISTS `bids` (
`bidID` int(10) unsigned NOT NULL,
  `bid_date` int(11) NOT NULL,
  `bid_listing` int(11) NOT NULL,
  `bidder_ID` int(11) NOT NULL,
  `owner_ID` int(11) NOT NULL,
  `amount` decimal(10,2) NOT NULL,
  `bid_type` enum('Bid','BIN') NOT NULL DEFAULT 'Bid'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `categories`
--

CREATE TABLE IF NOT EXISTS `categories` (
`catID` int(10) unsigned NOT NULL,
  `category` varchar(255) DEFAULT NULL,
  `slug` varchar(255) DEFAULT NULL,
  `parentID` int(10) unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `categories`
--

INSERT INTO `categories` (`catID`, `category`, `slug`, `parentID`) VALUES
(1, 'Autos', 'autos', 0),
(2, 'Houses', 'houses', 0),
(4, 'Animals', 'animals', 0);

-- --------------------------------------------------------

--
-- Table structure for table `comments`
--

CREATE TABLE IF NOT EXISTS `comments` (
`commID` int(10) unsigned NOT NULL,
  `commUser` int(11) NOT NULL,
  `comment` varchar(255) NOT NULL,
  `comm_date` int(11) NOT NULL,
  `listID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `listings`
--

CREATE TABLE IF NOT EXISTS `listings` (
`listingID` int(10) unsigned NOT NULL,
  `listing_title` varchar(255) DEFAULT NULL,
  `bin` int(11) DEFAULT NULL,
  `reserve` int(11) DEFAULT NULL,
  `starting_` int(11) DEFAULT NULL,
  `listing_description` text,
  `listing_status` enum('active','inactive') NOT NULL DEFAULT 'inactive',
  `list_catID` int(10) unsigned DEFAULT NULL,
  `featured` enum('N','Y') NOT NULL DEFAULT 'N',
  `list_date` int(11) DEFAULT NULL,
  `list_expires` int(11) DEFAULT NULL,
  `list_uID` int(11) DEFAULT NULL,
  `sold` enum('N','Y') NOT NULL DEFAULT 'N',
  `sold_date` int(11) DEFAULT NULL,
  `sold_price` decimal(10,2) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `messages`
--

CREATE TABLE IF NOT EXISTS `messages` (
`msgID` int(10) unsigned NOT NULL,
  `fromID` int(11) NOT NULL,
  `toID` int(11) NOT NULL,
  `subject` varchar(255) NOT NULL,
  `body` text NOT NULL,
  `msg_date` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `notifications`
--

CREATE TABLE IF NOT EXISTS `notifications` (
`nID` int(11) NOT NULL,
  `nText` text,
  `nUser` int(10) unsigned NOT NULL,
  `nStatus` enum('Read','Unread') NOT NULL DEFAULT 'Unread'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `opts`
--

CREATE TABLE IF NOT EXISTS `opts` (
`id` int(10) unsigned NOT NULL,
  `option_name` varchar(255) DEFAULT NULL,
  `option_value` text
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `opts`
--

INSERT INTO `opts` (`id`, `option_name`, `option_value`) VALUES
(1, 'seo_title', 'PHP Auction Script'),
(2, 'seo_description', 'PHP Auction Script helps you run the ultimate auctions platform for you & your audience needs!'),
(3, 'seo_keywords', 'buy, sell, auctions'),
(4, 'website_title', 'PHP Auctions Script'),
(5, 'analytics_code', '<!-- analytics -->'),
(6, 'fb_url', 'http://facebook.com'),
(7, 'tw_url', 'http://twitter.com'),
(9, 'contact_email', 'a@a.com'),
(10, 'listing_fee', '1'),
(11, 'featured_fee', '20'),
(12, 'paypal_email', 'crivion@gmail.com'),
(13, 'paypal_enable', 'Yes'),
(16, 'stripe_enable', 'No'),
(17, 'currency_symbol', '€'),
(18, 'currency_code', 'EUR'),
(19, 'listing_duration', '1 Year'),
(23, 'sitefee', '2'),
(25, 'payouts_period', 'Every Friday');

-- --------------------------------------------------------

--
-- Table structure for table `tos`
--

CREATE TABLE IF NOT EXISTS `tos` (
  `tos` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tos`
--

INSERT INTO `tos` (`tos`) VALUES
('You can put here your Terms and conditions\n\n<strong>Accept''s HTML tags</strong> as <em>well</em>');

-- --------------------------------------------------------

--
-- Table structure for table `transactions`
--

CREATE TABLE IF NOT EXISTS `transactions` (
`txID` int(10) unsigned NOT NULL,
  `buyerID` int(11) NOT NULL,
  `sellerID` int(11) NOT NULL,
  `auctionID` int(11) NOT NULL,
  `txDate` int(11) NOT NULL,
  `amount` double(10,2) NOT NULL,
  `originalAmount` double(10,2) NOT NULL,
  `paidwith` enum('PayPal','Stripe','Cash','Bank') NOT NULL,
  `txStatus` enum('Pending','Cleared') NOT NULL DEFAULT 'Pending',
  `ref` VARCHAR(255) NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
`userID` int(11) unsigned NOT NULL,
  `ip` int(11) NOT NULL,
  `username` varchar(100) NOT NULL,
  `email` varchar(255) NOT NULL,
  `payout_email` varchar(255) DEFAULT NULL,
  `password` varchar(32) NOT NULL,
  `about` varchar(255) DEFAULT NULL,
  `photo` varchar(40) DEFAULT NULL,
  `isActive` enum('Yes','No') NOT NULL DEFAULT 'No'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `attachments`
--
ALTER TABLE `attachments`
 ADD PRIMARY KEY (`attachID`);

--
-- Indexes for table `bids`
--
ALTER TABLE `bids`
 ADD PRIMARY KEY (`bidID`);

--
-- Indexes for table `categories`
--
ALTER TABLE `categories`
 ADD PRIMARY KEY (`catID`), ADD KEY `category` (`category`,`parentID`), ADD KEY `slug` (`slug`);

--
-- Indexes for table `comments`
--
ALTER TABLE `comments`
 ADD PRIMARY KEY (`commID`);

--
-- Indexes for table `listings`
--
ALTER TABLE `listings`
 ADD PRIMARY KEY (`listingID`), ADD KEY `list_catID` (`list_catID`);

--
-- Indexes for table `messages`
--
ALTER TABLE `messages`
 ADD PRIMARY KEY (`msgID`);

--
-- Indexes for table `notifications`
--
ALTER TABLE `notifications`
 ADD PRIMARY KEY (`nID`), ADD KEY `nStatus` (`nStatus`);

--
-- Indexes for table `opts`
--
ALTER TABLE `opts`
 ADD PRIMARY KEY (`id`);

--
-- Indexes for table `transactions`
--
ALTER TABLE `transactions`
 ADD PRIMARY KEY (`txID`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
 ADD PRIMARY KEY (`userID`), ADD KEY `payout_email` (`payout_email`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `attachments`
--
ALTER TABLE `attachments`
MODIFY `attachID` int(10) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `bids`
--
ALTER TABLE `bids`
MODIFY `bidID` int(10) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `categories`
--
ALTER TABLE `categories`
MODIFY `catID` int(10) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=5;
--
-- AUTO_INCREMENT for table `comments`
--
ALTER TABLE `comments`
MODIFY `commID` int(10) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `listings`
--
ALTER TABLE `listings`
MODIFY `listingID` int(10) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `messages`
--
ALTER TABLE `messages`
MODIFY `msgID` int(10) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `notifications`
--
ALTER TABLE `notifications`
MODIFY `nID` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `opts`
--
ALTER TABLE `opts`
MODIFY `id` int(10) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=26;
--
-- AUTO_INCREMENT for table `transactions`
--
ALTER TABLE `transactions`
MODIFY `txID` int(10) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
MODIFY `userID` int(11) unsigned NOT NULL AUTO_INCREMENT;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
