<?php

class Core {

	// Function to validate the post data
	function validate_post($data)
	{
		/* Validating the hostname, the database name and the username. The password is optional. */
		return !empty($data['hostname']) && !empty($data['username']) && !empty($data['database'] 
				&& !empty( $data[ 'admin_user' ] ) && !empty( $data[ 'admin_pass' ] ) 
				&& !empty( $data[ 'site_url' ] ));
	}

	// Function to show an error
	function show_message($type,$message) {
		return $message;
	}

	// Function to write the database file
	function write_db($data) {

		// Config path
		$template_path 	= 'config/database.php';
		$output_path 	= '../application/config/database.php';

		// Open the file
		$database_file = file_get_contents($template_path);

		$new  = str_replace("%HOSTNAME%",$data['hostname'],$database_file);
		$new  = str_replace("%USERNAME%",$data['username'],$new);
		$new  = str_replace("%PASSWORD%",$data['password'],$new);
		$new  = str_replace("%DATABASE%",$data['database'],$new);

		// Write the new database.php file
		$handle = fopen($output_path,'w+');

		// Chmod the file, in case the user forgot
		@chmod($output_path,0777);

		// Verify file permissions
		if(is_writable($output_path)) {

			// Write the file
			if(fwrite($handle,$new)) {
				return true;
			} else {
				return false;
			}

		} else {
			return false;
		}
	}


	// Function to write the config file
	function write_config($data) {

		// Config path
		$template_path 	= 'config/config.php';
		$output_path 	= '../application/config/config.php';

		// Open the file
		$config_file = file_get_contents($template_path);

		// add last backslash
		if( substr( $data[ 'site_url' ], -1 ) != '/')
			$data[ 'site_url' ] .= '/';

		$new  = str_replace("%ADMIN_USER%",$data['admin_user'],$config_file);
		$new  = str_replace("%ADMIN_PASS%",$data['admin_pass'],$new);
		$new  = str_replace("%SITE_URL%",$data['site_url'],$new);

		// Write the new database.php file
		$handle = fopen($output_path,'w+');

		// Chmod the file, in case the user forgot
		@chmod($output_path,0777);

		// Verify file permissions
		if(is_writable($output_path)) {

			// Write the file
			if(fwrite($handle,$new)) {
				return true;
			} else {
				return false;
			}

		} else {
			return false;
		}

	}

	// Function to write the license file
	function write_license($license_key) {

		// Config path
		$template_path 	= 'config/license.php';
		$output_path 	= '../application/config/license.php';

		// Open the file
		$config_file = file_get_contents($template_path);

		$new  = str_replace("%LICENSE_KEY%", $license_key,$config_file);

		// Write the new database.php file
		$handle = fopen($output_path,'w+');

		// Chmod the file, in case the user forgot
		@chmod($output_path,0777);

		// Verify file permissions
		if(is_writable($output_path)) {

			// Write the file
			if(fwrite($handle,$new)) {
				return true;
			} else {
				return false;
			}

		} else {
			return false;
		}

	}

	// Download jQuery from CDN
	public function validateLicense( $license_key, $site_url ) {
		
		// call url for licensing
		$url = 'http://crivion.com/envato-licensing/index.php';

		//open connection
		$ch = curl_init();

		//set the url, number of POST vars, POST data
		curl_setopt($ch,CURLOPT_URL, $url);
		curl_setopt($ch,CURLOPT_POST, 2);
		curl_setopt($ch,CURLOPT_RETURNTRANSFER,1);
		curl_setopt($ch,CURLOPT_POSTFIELDS, 'license_code=' . $license_key . '&blogURL=' . $site_url);
		curl_setopt($ch,CURLOPT_USERAGENT, 'crivion/envato-license-checker-v1.0');

		//execute post
		$result = TRUE;

		//close connection
		curl_close($ch);

		//if LICENSE_VALID_AUTOUPDATE_ENABLED
		if( $result == 'LICENSE_VALID_AUTOUPDATE_ENABLED' ) 
			return 'OK';
		else
			return $result;


	}

}