<?php
error_reporting(0); //Setting this to E_ALL showed that that cause of not redirecting were few blank lines added in some php files.

$db_config_path = '../application/config/database.php';

// Only load the classes in case the user submitted the form
if($_POST) {

	// Load the classes and create the new objects
	require_once('includes/core_class.php');
	require_once('includes/database_class.php');

	$core = new Core();
	$database = new Database();


	// Validate the post data
	if($core->validate_post($_POST) == true)
	{

		// First create the database, then create tables, then write config file
		if($database->create_database($_POST) == false) {

			/* 
			@TODO WHEN UPGRADED
			+ ALTER TABLE `listings` ADD `videos` TEXT NULL DEFAULT NULL AFTER `listing_description`;
			*/


			$message = $core->show_message('error',"The database could not be created, please double check your connection credentials.");
		} else if ($database->create_tables($_POST) == false) {
			$message = $core->show_message('error',"The database tables could not be created, is this database user able to create tables?.");
		} else if ($core->write_db($_POST) == false) {
			$message = $core->show_message('error',"The database configuration file could not be written, please chmod application/config/database.php file to 777");
		} else if ($core->write_config($_POST) == false) {
			$message = $core->show_message('error',"The configuration file could not be written, please chmod application/config/config.php file to 777");
		} else if ($core->validateLicense( $_POST[ 'license_key' ], $_POST[ 'site_url' ] ) !== 'OK') {
			$license_msg = $core->validateLicense( $_POST[ 'license_key' ], $_POST[ 'site_url' ] );
			$message = $core->show_message('error',"License not validated. <a href='http://codecanyon.net/user/crivion'>Contact</a><br />" . $license_msg );
		}

		// If no errors, redirect to registration page
		if(!isset($message)) {

		  $core->write_license( $_POST[ 'license_key' ] );

		  sleep( 5 );
		  header( 'Location: /home/welcome' );
		}

	}
	else {
		$message = $core->show_message('error','Not all fields have been filled in correctly. The host, username, password, and database name are required.');
	}
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

		<title>Install | PHP Auction Script</title>

		<style type="text/css">
		  body {
		    font-size: 75%;
		    font-family: Helvetica,Arial,sans-serif;
		    width: 300px;
		    margin: 0 auto;
		  }
		  input, label {
		    display: block;
		    font-size: 18px;
		    margin: 0;
		    padding: 10px;
		    border-radius:10px;
		  }
		  label {
		    margin-top: 20px;
		  }
		  input.input_text {
		    width: 270px;
		  }
		  input#submit {
		    margin: 25px auto 0;
		    font-size: 25px;
		  }
		  fieldset {
		    padding: 15px;
		    border-radius:10px;
		  }
		  legend {
		    font-size: 18px;
		    font-weight: bold;
		  }
		  .error {
		    background: #ffd1d1;
		    border: 1px solid #ff5858;
        padding: 4px;
		  }
		</style>
	</head>
	<body>

    <center>
    	<img src="../images/auction.svg" width="80" style="float: left;" />
    	<h1>Install PHP Auctions Script v1.1</h1>
    	<div style="clear:both; height: 20px;"></div>
    </center>
    <?php if(is_writable($db_config_path)){?>

		  <?php if(isset($message)) {echo '<p class="error">' . $message . '</p>';}?>

		  <form id="install_form" method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
          <fieldset>
          <legend>Database settings</legend>
          <label for="hostname">Hostname</label><input type="text" id="hostname" value="localhost" class="input_text" name="hostname" />
          <label for="username">Username</label><input type="text" id="username" class="input_text" name="username" required="required" />
          <label for="password">Password</label><input type="password" id="password" class="input_text" name="password" />
          <label for="database">Database Name</label><input type="text" id="database" class="input_text" name="database" required="required" />
          </fieldset>
          <fieldset>
          <legend>General Settings</legend>
          <label for="license_key">License Key <small>Type "nulled by pw"</small></label><input type="text" name="license_key" id="license_key" class="input_text" required="required">
          <label for="admin_user">Admin User</label><input type="text" id="admin_user" value="admin" class="input_text" name="admin_user" required="required" />
          <label for="admin_pass">Admin Password</label><input type="text" id="admin_pass" class="input_text" name="admin_pass" required="required" />
          <label for="site_url">Site URL <small>(ie. http://yoursite.com/</small>)</label><input required="required" type="text" id="site_url" class="input_text" name="site_url" />
          <input type="submit" value="Install" id="submit" onclick="document.getElementById('loading').style.display = 'block'" />
          <img src="../images/loading.gif" alt="loading" style="display:none" id="loading">
          </fieldset>
		  </form>

	  <?php } else { ?>
      <p class="error">Please make the application/config/database.php file writable. <strong>Example</strong>:<br /><br /><code>chmod 777 application/config/database.php</code></p>
	  <?php } ?>


	</body>
</html>
